VERSION(1)

NAME
version - extract version information from a file

SYNOPSIS
version [ -k ] [ -K ] [ file ... ]

DESCRIPTION
Version attempts to extract version information from files distributed by Acorn. It produces a one line string per file which should identify the file uniquely.

The options direct various kernel version information to be extracted and printed:

-K  Extracts a kernel version string similar to that produced for executable binaries.

-k  Extracts a long string used by `/etc/rc' to build the message of the day file `/etc/motd'.

Files which are not provided by Acorn or are not executable binaries do not have encoded version information at the front. In an attempt to provide a unique identity for such files, version uses an arithmetic sum of the output of ident(1) as the version identifier.

SEE ALSO
ident(1)

AUTHOR
Andy Bray